<template>
  <tr>
    <td>{{personIndex + 1}}</td>
    <td>{{person.firstName}}</td>
    <td>{{person.lastName}}</td>
    <td>{{age}}</td>
    <td class="text-end">
      <button type="button" class="btn btn-danger btn-sm" @click="personStore.deletePerson(person)">Löschen</button>
    </td>
  </tr>
</template>

<script setup>
  import { computed } from 'vue'
  import { usePersonStore } from '@/stores/personStore'

  const props = defineProps(['person'])
  const personStore = usePersonStore()

  const personIndex = computed(() => personStore.persons
      .findIndex(person => person.firstName === props.person.firstName && person.lastName === props.person.lastName))

  const age = computed(() => new Date().getFullYear() - props.person.birthYear)
</script>
